# sadwl.inittable.sh
# ------------------
# Is a SpamAssassin Plugin that record into a table the couple :
# [email address domain] + [sender relay domain]
# A dynamyc score correction can be assigned to this


# Root Database Password from Efa Installation and sadwl user password
ROOTPASSWORD=$(grep MYSQLROOTPWD /etc/eFa/MySQL-Config | sed 's/.*://')
SADWLPASSWORD=sadwl

echo "Press enter to confirm creation or full cleanup of sadwl database or press ctrl+c"
read a

echo "* Drop Database sadwl and create a new one"
vsql="DROP DATABASE IF EXISTS sadwl; "
echo $vsql;echo $vsql | mysql -N -u root -p$ROOTPASSWORD
vsql="CREATE DATABASE IF NOT EXISTS sadwl; "
echo $vsql;echo $vsql | mysql -N -u root -p$ROOTPASSWORD


echo "* Create table sadwl"
vsql="CREATE TABLE sadwl ( "
vsql=$vsql" domain VARCHAR(64), envdomain VARCHAR(64), "
vsql=$vsql" srv_dom_reverse VARCHAR(64), num INTEGER, score DECIMAL(3,2), last DATETIME, "
vsql=$vsql" PRIMARY KEY(domain, envdomain, srv_dom_reverse), INDEX ix_domain (domain), INDEX ix_num (num)  "
vsql=$vsql" ) ENGINE = MyISAM; "
echo $vsql;echo $vsql | mysql -N -u root -p$ROOTPASSWORD -D sadwl


echo "* Create user sadwl"
vsql="CREATE USER IF NOT EXISTS 'sadwl'@'%' IDENTIFIED BY '$SADWLPASSWORD'; "
echo $vsql;echo $vsql | mysql -N -u root -p$ROOTPASSWORD -D sadwl

echo "* Grant database to sadwl user"
vsql="GRANT ALL ON sadwl.sadwl TO 'sadwl'@'%' ; "
echo $vsql;echo $vsql | mysql -N -u root -p$ROOTPASSWORD


